| Flutter Impeller |

Public Member Functions | Friends | List of all members
impeller::CommandBufferGLES Class Referencefinal

`#include <command_buffer_gles.h>`

Inheritance diagram for impeller::CommandBufferGLES:

## Public Member Functions
| ~CommandBufferGLES () override
Public Member Functions inherited from impeller::CommandBuffer
virtual | ~CommandBuffer ()
void | WaitUntilCompleted ()
| Block the current thread until the GPU has completed execution of the commands. More...
void | WaitUntilScheduled ()
| Block the current thread until the GPU has completed scheduling execution of the commands. More...
std::shared_ptr< RenderPass > | CreateRenderPass (const RenderTarget &render_target)
| Create a render pass to record render commands into. More...
std::shared_ptr< BlitPass > | CreateBlitPass ()
| Create a blit pass to record blit commands into. More...
std::shared_ptr< ComputePass > | CreateComputePass ()
| Create a compute pass to record compute commands into. More...

## Friends
class | ContextGLES

## Additional Inherited Members
Public Types inherited from impeller::CommandBuffer
enum class | Status { kPending , kError , kCompleted }
using | CompletionCallback = std::function< void(Status)>
Protected Member Functions inherited from impeller::CommandBuffer
| CommandBuffer (std::weak_ptr< const Context > context)
Protected Attributes inherited from impeller::CommandBuffer
std::weak_ptr< const Context > | context_

## Detailed Description

Definition at line 14 of file command_buffer_gles.h.

## Constructor & Destructor Documentation

## ◆ ~CommandBufferGLES()

impeller::CommandBufferGLES::~CommandBufferGLES | ( |  | ) |
| overridedefault

## Friends And Related Function Documentation

## ◆ ContextGLES

friend class ContextGLES
| friend

Definition at line 20 of file command_buffer_gles.h.

The documentation for this class was generated from the following files:

- impeller/renderer/backend/gles/command_buffer_gles.h
- impeller/renderer/backend/gles/command_buffer_gles.cc